Subject: [bug#51440] [PATCH 00/10] Declarative static networking interface

From: Ludovic Courtès <[email-masked]>
Date: Fri, 29 Oct 2021 23:44:26 +0200

Julien Lepiller <[email-masked]> skribis:

> Looks good at first glance. I noticed a few typos in the manual, so I'll send you more details after I read it more carefully. I'll try that on my hardware, although again I'm not sure how I can run reconfigure from my checkout exactly? (Where do I use sudo, and what options do I need)

To reconfigure from a checkout, you can run:

  sudo -E ./pre-inst-env guix system reconfigure …

where ‘-E’ tells sudo to preserve notably GUILE_LOAD_PATH & co., such
that Guile-Gcrypt and the other dependencies are found.

HTH!

Ludo’.